package rainbowPackage;

public final class ArrayReverser
{
	public Object[] array;
	public ArrayReverser()
	{
		array = new Object[0];
	}
	public ArrayReverser(int Length)
	{
		array = new Object[Length];
	}
	public ArrayReverser(Object[] Array)
	{
		array = Array;
	}
	public Object[] ReverseArray(Object[] Array)
	{
		array = Array;
		for (int a = 0; a < Array.length; a++)
		{
			array[Array.length - 1 - a] = Array[a];
		}
		return array;
	}
	public int Length()
	{
		return array.length;
	}
	public void set(Object[] Array) { array = Array; }//14th Square DiagnosticsClass.java
	public Object[] get() { return array; }
}